Page MenuHomePhabricator

1.35.0-wmf.19 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.19
Release Date
Feb 10 2020, 12:00 AM
Backup Conductor
Jdforrester-WMF

2020 week 07 1.35-wmf.19 Changes wmf/1.35.0-wmf.19

This MediaWiki Train Deployment is scheduled for the week of Monday, February 10th:

Monday February 10thTuesday, February 11thWednesday, February 12thThursday, February 13thFriday
Backports only.Branch wmf.19 and deploy to Group 0 Wikis.Deploy wmf.19 to Group 1 Wikis.Deploy wmf.19 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.19 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.18
Next: 1.35.0-wmf.20

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: Jdforrester-WMF.

Change 571322 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.18 refs T233867

https://gerrit.wikimedia.org/r/571322

Change 571322 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.18 refs T233867

https://gerrit.wikimedia.org/r/571322

Mentioned in SAL (#wikimedia-operations) [2020-02-10T18:25:03Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.35.0-wmf.18 refs T233867

Mentioned in SAL (#wikimedia-releng) [2020-02-11T18:24:06Z] <marxarelli> 1.35.0-wmf.19 was branched at 3ac2e9ff045dc081317c9184dc83cf863fd518be for T233867

Mentioned in SAL (#wikimedia-operations) [2020-02-11T19:35:54Z] <marxarelli> running scap clean --delete for old wmf branches wmf.11, wmf.14, wmf.15, wmf.16 (T233867)

Mentioned in SAL (#wikimedia-operations) [2020-02-11T21:01:00Z] <marxarelli> completed group0 to 1.35.0-wmf.19 (T233867)

Mentioned in SAL (#wikimedia-operations) [2020-02-13T20:33:48Z] <marxarelli> rollback to group1 due to 500 spike (2k/min) (T233867)

Mentioned in SAL (#wikimedia-operations) [2020-02-18T17:47:21Z] <marxarelli> re-rolling wmf.19 to all wikis (T233867) with eyes particularly on (T245202)

Mentioned in SAL (#wikimedia-operations) [2020-02-18T17:52:28Z] <dduvall@deploy1001> rebuilt and synchronized wikiversions files: Re-roll all wikis to 1.35.0-wmf.19 (T233867)

Mentioned in SAL (#wikimedia-operations) [2020-02-18T18:01:14Z] <marxarelli> completed promotion of 1.35.0-wmf.19 to all wikis (T233867)

I know this task is closed, but T245553 (core's <gallery mode=slideshow> not working at all) seems quite a regression, and not sure who 'maintains' that... :-/ Ideas welcome.

@Aklapper should T245553 be blocker for this week's train (T233868), if it's a regression?